Package org.eclipse.emf.cdo.common

# Interface CDOCommonRepository.TypeChangedEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

All Known Implementing Classes:
  `RepositoryTypeChangedEvent`

Enclosing interface:
  `CDOCommonRepository`

public static interface CDOCommonRepository.TypeChangedEvent extends org.eclipse.net4j.util.event.IEvent
An `event` fired when the `type` of a CDO repository has changed. This usually happens only for repository fail-over participants.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOCommonRepository.Type`
`getNewType()`
`CDOCommonRepository.Type`
`getOldType()`

### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

`getSource`

## Method Details

### getOldType

CDOCommonRepository.Type getOldType()

### getNewType

CDOCommonRepository.Type getNewType()